class Admin::UserRoleModelsController < ApplicationController
  
  layout "admin"
  before_filter :authenticate_user!
  before_filter :is_admin?
  before_filter :set_attribute, :only => [:index, :show, :new, :edit]

  def index
    @user_attribute_models = UserRoleModel.all.entries
    render :template => 'admin/user_attribute_models/index'
  end
  
  def show
    #@user_attribute_model = UserRoleModel.find(params[:id])
  end
  
  def new
    @user_attribute_model = UserRoleModel.new
    render :template => 'admin/user_attribute_models/new'
  end
  
  def edit
    @user_attribute_model = UserRoleModel.find(params[:id])
    @i18n_variable = @user_attribute_model.i18n_variable
    render :template => 'admin/user_attribute_models/edit'
  end
  
  def create
    @user_attribute_model = UserRoleModel.new(params[:user_role_model])
    @user_attribute_model.save
    redirect_to :action => :index
  end
  
  def update
    @user_attribute_model = UserRoleModel.find(params[:id])
    @user_attribute_model.update_attributes(params[:user_role_model])
    
    respond_to do |format|
      format.html { redirect_to :action => :index }
      format.js  { render 'admin/user_attribute_models/toggle_enable' }
    end
  end
  
  def destroy
    @user_attribute_model = UserRoleModel.find(params[:id])
    @user_attribute_model.destroy
    
    @user_attribute_model.destroy_i18n_variables
    
    redirect_to :action => :index
  end
  
  protected
  
  def set_attribute
    @attribute = 'role'
  end
  
end
